function init(hero) {
	hero.setName("Red Rush");
	hero.setTier(4);
	
	hero.setHelmet("Cowl");
	hero.setChestplate("Chestplate");
	hero.setLeggings("Leggings");
    hero.setBoots("Boots");
	
	hero.addPowers("mvh:inv_redrush");
	hero.addAttribute("BASE_SPEED_LEVELS", 4.0, 0);
	
	hero.addKeyBind("SUPER_SPEED", "Super Speed", 1);
	hero.addKeyBind("SLOW_MOTION", "Accelerated Perception", 2);

	hero.addAttributeProfile("SPEED", speedProfile);
    hero.setAttributeProfile(getAttributeProfile);
	hero.setDamageProfile(getDamageProfile);
    hero.addDamageProfile("SPEED_PUNCH", {
        "types": {
            "BLUNT": 1.0
        },
        "properties": {
            "HIT_COOLDOWN": 2
        }
    });
}

function speedProfile(profile) {
	profile.addAttribute("BOW_DRAWBACK", 1, 1);
	profile.addAttribute("STEP_HEIGHT", 18, 0);
	profile.addAttribute("BASE_SPEED_LEVELS", 4.0, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:speeding") ? "SPEED" : null;
}


function getDamageProfile(entity) {
    return entity.getData("fiskheroes:speeding") ? "SPEED_PUNCH" : null;
}